FreeMat

- Main Page
- Related Pages

vtkTreeCompositer

Section: Visualization Toolkit Parallel Classes

# Usage

vtkTreeCompositer operates in multiple processes. Each compositer has a render window. They use a vtkMultiProcessController to communicate the color and depth buffer to process 0's render window. It will not handle transparency well.

To create an instance of class vtkTreeCompositer, simply invoke its constructor as follows

      obj = vtkTreeCompositer

# Methods

The class vtkTreeCompositer has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTreeCompositer class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTreeCompositer = obj.NewInstance ()`
- `vtkTreeCompositer = obj.SafeDownCast (vtkObject o)`
- `obj.CompositeBuffer (vtkDataArray pBuf, vtkFloatArray zBuf, vtkDataArray pTmp, vtkFloatArray zTmp)`